/*
This enumeration is used to give information about the visibility of a Vector
object.

The interpretation of this visibility depends on the method used for projection.

The screen plane method

Three values are defined as follows:
	- VISIBLE: the Vector object and the retina Vector object are on opposite
	  sides of the screen plane;
	- ON_PLANE: the Vector object is exactly on the screen plane;
	- INVISIBLE: the Vector object and the retina Vector object are on the same
	  side of the screen plane.

The retina plane method

Three values are defined as follows:
	- VISIBLE: the Vector object and the screenMiddle Vector object are on the
	  same side of the retina plane;
	- ON_PLANE: the Vector object is exactly on the retina plane;
	- INVISIBLE: the Vector object and the screenMiddle Vector object are on
	  opposite sides of the retina plane.

*/

package display;

public enum Visibility {
	VISIBLE,
	ON_PLANE,
	INVISIBLE
}
