/*
A ToggleControlItemListener object is registered with the "Control" menu item
and the itemStateChanged() method is invoked each time the user chooses that
menu item. The method checks to see if the menu item was selected or deselected
and a ControlDialog object is created or disposed of accordingly.
*/

package gui;

import java.awt.event.*;

public class ToggleControlItemListener implements ItemListener {
	
	private ControlDialog controlDialog;
	private MainWindow mainWindow;
	
	public ToggleControlItemListener(MainWindow mainWindow) {
		this.mainWindow = mainWindow;
	}
	
	public ControlDialog getControlDialog() {
		return controlDialog;
	}
	
	public void itemStateChanged(ItemEvent e) {
		if (e.getStateChange() == ItemEvent.SELECTED) { // SELECTED
			controlDialog = new ControlDialog(mainWindow);
		} else { // DESELECTED
			controlDialog.dispose();
		}
	}
	
}
