/*
This enumeration is used to indicate the type of screen move direction
(after pressing a button for example that triggers the move):
- X_SHIFT_POSITIVE: the screen moves in the direction of the positive x axis;
- X_SHIFT_NEGATIVE: the screen moves in the direction of the negative x axis;
- Y_SHIFT_POSITIVE: the screen moves in the direction of the positive y axis;
- Y_SHIFT_NEGATIVE: the screen moves in the direction of the negative y axis;
- Z_SHIFT_POSITIVE: the screen moves in the direction of the positive z axis;
- Z_SHIFT_NEGATIVE: the screen moves in the direction of the negative z axis;
- X_ROTATE_Y_TO_Z: the screen rotates around the x axis, positive y moving to
 positive z;
- X_ROTATE_Z_TO_Y: the screen rotates around the x axis, positive z moving to
 positive y;
- Y_ROTATE_Z_TO_X: the screen rotates around the y axis, positive z moving to
 positive x;
 - Y_ROTATE_X_TO_Z: the screen rotates around the y axis, positive x moving to
 positive z;
- Z_ROTATE_X_TO_Y: the screen rotates around the z axis, positive x moving to
 positive y;
- Z_ROTATE_Y_TO_X: the screen rotates around the z axis, positive y moving to
 positive x;
*/

package movement;

public enum Direction {
	X_SHIFT_POSITIVE,
	X_SHIFT_NEGATIVE,
	Y_SHIFT_POSITIVE,
	Y_SHIFT_NEGATIVE,
	Z_SHIFT_POSITIVE,
	Z_SHIFT_NEGATIVE,
	X_ROTATE_Y_TO_Z,
	X_ROTATE_Z_TO_Y,
	Y_ROTATE_Z_TO_X,
	Y_ROTATE_X_TO_Z,
	Z_ROTATE_X_TO_Y,
	Z_ROTATE_Y_TO_X
}
