/*
A Branches object is a HashMap of key value pairs where the key String object
uniquely identies the value Branch object.
*/

package tree;

import java.util.HashMap;

public class Branches extends HashMap<String, Branch> {
	
	// Branches is implemented as a singleton class
	private static Branches branches = new Branches();
	// but it has another Branches object used to build new objects
	private static Branches buildInstance;
	
	// A private constructor prevents any other class from instantiating
	private Branches() {}
	
	// A method to get the reference to the singleton class
	public static Branches getInstance() {
		return branches;
	}
	
	// A method to get a reference to a new build instance
	public static Branches createBuildInstance() {
		buildInstance = new Branches();
		return buildInstance;
	}
	
	// A method to replace the singleton class with the build instance
	public static void commitBuildInstance() {
		branches = buildInstance;
	}
	
}
