/*
A Nodes object is a HashMap of key value pairs where the key String object
uniquely identies the value Node object.
*/

package tree;

import java.util.HashMap;

public class Nodes extends HashMap<String, Node> {
	
	// Nodes is implemented as a singleton class
	private static Nodes nodes = new Nodes();
	// but it has another Nodes object used to build new objects
	private static Nodes buildInstance;
	
	// A private constructor prevents any other class from instantiating
	private Nodes() {}
	
	// A method to get the reference to the singleton class
	public static Nodes getInstance() {
		return nodes;
	}
	
	// A method to get a reference to a new build instance
	public static Nodes createBuildInstance() {
		buildInstance = new Nodes();
		return buildInstance;
	}
	
	// A method to replace the singleton class with the build instance
	public static void commitBuildInstance() {
		nodes = buildInstance;
	}
	
}
