/*
A Surfaces object is a HashSet of Surface objects.
*/

package tree;

import java.util.HashSet;

public class Surfaces extends HashSet<Surface> {
	
	// Surfaces is implemented as a singleton class
	private static Surfaces surfaces = new Surfaces();
	// but it has another Surfaces object used to build new objects
	private static Surfaces buildInstance;
	
	// A private constructor prevents any other class from instantiating
	private Surfaces() {}
	
	// A method to get the reference to the singleton class
	public static Surfaces getInstance() {
		return surfaces;
	}
	
	// A method to get a reference to a new build instance
	public static Surfaces createBuildInstance() {
		buildInstance = new Surfaces();
		return buildInstance;
	}
	
	// A method to replace the singleton class with the build instance
	public static void commitBuildInstance() {
		surfaces = buildInstance;
	}
	
}
