/*
This enumeration is used to distinguish between the different types of string
(token) that can be read when parsing a tree file.

Five values are defined as follows:

	- REGULAR: a string other than [NODES], [BRANCHES] or [SURFACE] has been
	  read;
	- NODES: a string [NODES] has been read;
	- BRANCHES: a string [BRANCHES] has been read;
	- SURFACE: a string [SURFACE] has been read;
	- EOF: no string has been read because at end of file.

*/

package tree;

public enum TokenType {
	REGULAR,
	NODES,
	BRANCHES,
	SURFACE,
	EOF
}
