/*
This enumeration is used for the parser states in the use case "Parse animation
file".

Sixteen values are defined as follows:

	- READ_MARKER: the next token should be [MARKER];
	- READ_X: the next token should be a float and it will be the x coordinate
	  of a new marker;
	- READ_Y: the next token should be a float and it will be the y coordinate
	  of the marker under construction;
	- READ_Z: the next token should be a float and it will be the z coordinate
	  of the marker under construction;
	- READ_U: the next token should be [U];
	- READ_U_X: the next token should be a float and it will be the x
	  coordinate of the orientation vector u of the marker under construction;
	- READ_U_Y: the next token should be a float and it will be the y
	  coordinate of the orientation vector u of the marker under construction;
	- READ_U_Z: the next token should be a float and it will be the z
	  coordinate of the orientation vector u of the marker under construction;
	- READ_V: the next token should be [V];
	- READ_V_X: the next token should be a float and it will be the x
	  coordinate of the orientation vector v of the marker under construction;
	- READ_V_Y: the next token should be a float and it will be the y
	  coordinate of the orientation vector v of the marker under construction;
	- READ_V_Z: the next token should be a float and it will be the z
	  coordinate of the orientation vector v of the marker under construction;
	- READ_N: the next token should be [N];
	- READ_N_X: the next token should be a float and it will be the x
	  coordinate of the orientation vector normal of the marker under
	  construction;
	- READ_N_Y: the next token should be a float and it will be the y
	  coordinate of the orientation vector normal of the marker under
	  construction;
	- READ_N_Z: the next token should be a float and it will be the z
	  coordinate of the orientation vector normal of the marker under
	  construction.
*/

package visual_aid;

public enum ParseState {
	READ_MARKER,
	READ_X,
	READ_Y,
	READ_Z,
	READ_U,
	READ_U_X,
	READ_U_Y,
	READ_U_Z,
	READ_V,
	READ_V_X,
	READ_V_Y,
	READ_V_Z,
	READ_N,
	READ_N_X,
	READ_N_Y,
	READ_N_Z
}
