/*
A trail is constructed of markers and trail segments.
A marker is a point somwhere in the three dimensional space.
A trail segment is a path from a start marker to an end marker.

A trail segment is a visual aid. It is a branch but it is not intended to be
used as a tree construct, instead it is used for setting up an animation.
A trail segment has a fixed display width and a fixed display color.

A trail segment has a direction, so there is a start marker and an end marker.
*/

package visual_aid;

import display.Screen;
import tree.Branch;

public class TrailSegment extends Branch {
	
	private Marker startMarker, endMarker;
	
	// The constructor creates a trail segment that references two markers, the
	// start marker and the end marker.
	public TrailSegment(Marker startMarker, Marker endMarker) {
		super(startMarker, endMarker);
		this.startMarker = startMarker;
		this.endMarker = endMarker;
	}
	
	public Marker getStartMarker() {
		return startMarker;
	}
	
	public Marker getEndMarker() {
		return endMarker;
	}
	
	// method that overrides the same method in the Branch class
	// in the TrailSegment class this method just does nothing, because no
	// enhancement effect is applied to trail segments
	public void determineEnhancementEffect(Screen screen) { }
	
}
